
Base Distribution - Work Package # 45540

Status: New Priority: Should have
Author: Aske Ertmann Category:
Created: 2013-02-16 Assigned To:
Updated: 2014-01-30 Due date:
Subject: [EPIC] Search
Description

Search
    -  Target Audience: users want to search for nodes/domain models in the content & management view
    -  Responsible: XY
    -  Implemented by: XY, YZ
    -  Amount: XY work days
    -  Version: not planned yet
    -  Planned Implementation Timeframe: X - Y

Motivation
[TODO write goal from a user's perspective. Try to answer the question: "Why is this work package important for the target group?"]

Goal
[TODO what do you want to archieve? Try to answer the question: "What do you want to archieve?"]

Deliverables
[TODO: write bullet points for measurable deliverables; flag them as must have and can have]

    -  Should probably support Lucene search database like Solr & Elastic Search with a kind of indexing and search api layer, and then
we should provide a fallback package that can use Mysql/PostgreSQL to index and search using the same API.

History
#1 - 2013-02-16 21:59 - Aske Ertmann
- Subject changed from Search to [EPIC] Search

#2 - 2013-02-27 10:59 - Sebastian Kurfuerst

    -  Adrian Föder has already worked on that (TYPO3.ElasticSearch for Domain Models)
    -  Michael Klapper has started working on TYPO3.Solr; for TYPO3CR Nodes
    -  Helmut Hummel is also interested in that

would be great if you could all figure out how to find synergies...

#3 - 2013-04-10 21:14 - Aske Ertmann
- Target version set to 1.1

#4 - 2014-01-30 14:23 - Sebastian Kurfuerst

FYI:

    -  this is currently tackled by https://github.com/Flowpack/Flowpack.ElasticSearch.ContentRepositoryAdaptor -- has been proven in production

2015-08-04 1/2

https://github.com/Flowpack/Flowpack.ElasticSearch.ContentRepositoryAdaptor


already.
